npm @polkadot/api 4.13.1
v4.13.1

Upgrade priority: Medium. Required for users connecting to Statemine and future Kusama upgrades.

Changes:

  • Overrides for westmint spec (same as statemint)
  • Adjust tx.session.setKeys TS augmentation to allow string & Uint8Array keys
  • Add & adjust types for latest Cumulus code
  • Added 9031-9033 upgrade block for Westend
  • Update static metadata to latest Substrate
  • Optimize map retrieval with split page sizes for keys & values
  • Sanitizing BN imports to type-only as required
latest releases: 4.15.1, 4.14.2-11, 4.14.2-10...
13 days ago